Time zones
GET
/v1/reference/timezones/{iso}Each time zone of a country with its offset from UTC, its abbreviation, whether summer time is on, the local time now and the next change of clocks.
On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| isorequired | string path | ISO 3166 two-letter country code e.g. CL |
Request
# A country's time zones as they stand now
curl "https://api.tourismapi.com/v1/reference/timezones/CL" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/reference/timezones/CL", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/reference/timezones/CL",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/reference/timezones/CL");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_9daecbadfb",
"data_as_of": "2026-10-21T17:42:32Z",
"count": 4,
"iso": "CL",
"at": "2026-10-21T17:42:32Z"
},
"data": [
{
"zone": "America/Coyhaique",
"utc_offset": "-03:00",
"offset_minutes": -180,
"abbreviation": "-03",
"summer_time": false,
"local_time": "2026-10-21T14:42:32-03:00",
"next_change": null
},
{
"zone": "America/Punta_Arenas",
"utc_offset": "-03:00",
"offset_minutes": -180,
"abbreviation": "-03",
"summer_time": false,
"local_time": "2026-10-21T14:42:32-03:00",
"next_change": null
},
{
"zone": "America/Santiago",
"utc_offset": "-03:00",
"offset_minutes": -180,
"abbreviation": "-03",
"summer_time": true,
"local_time": "2026-10-21T14:42:32-03:00",
"next_change": "2027-04-04T03:00:00Z"
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| zone | string | America/Coyhaique |
| utc_offset | string | -03:00 |
| offset_minutes | number | -180 |
| abbreviation | string | -03 |
| summer_time | boolean | false |
| local_time | string | 2026-10-21T14:42:32-03:00 |
| next_change | null | null |